gtkmm: Gtk::PadActionEntry Class Reference

gtkmm 4.23.0

Public Member Functions | Protected Attributes | List of all members
Gtk::PadActionEntry Class Reference

Class defining a pad action entry. More...

`#include <gtkmm/padactionentry.h>`

## Public Member Functions
| PadActionEntry ()
| PadActionEntry (PadActionType type, int index, int mode, const Glib::ustring & label, const Glib::ustring & action_name)
| Construct a new PadActionEntry.
| PadActionEntry (const PadActionEntry & src)
PadActionEntry & | operator= (const PadActionEntry & src)
| PadActionEntry (PadActionEntry && other) noexcept
PadActionEntry & | operator= (PadActionEntry && other) noexcept
virtual | ~PadActionEntry ()
PadActionType | get_type () const
void | set_type (const PadActionType & value)
int | get_index () const
void | set_index (const int & value)
int | get_mode () const
void | set_mode (const int & value)
Glib::ustring | get_label () const
void | set_label (const Glib::ustring & value)
Glib::ustring | get_action_name () const
void | set_action_name (const Glib::ustring & value)
GtkPadActionEntry * | gobj ()
const GtkPadActionEntry * | gobj () const

## Protected Attributes
GtkPadActionEntry * | gobject_

## Detailed Description

Class defining a pad action entry.

See also
  Gtk::PadController

Since gtkmm 3.96

## Constructor & Destructor Documentation

## ◆ PadActionEntry() [1/4]

Gtk::PadActionEntry::PadActionEntry | ( |  | ) |

## ◆ PadActionEntry() [2/4]

Gtk::PadActionEntry::PadActionEntry | ( | PadActionType | type,
|  | int | index,
|  | int | mode,
|  | const Glib::ustring & | label,
|  | const Glib::ustring & | action_name )

Construct a new PadActionEntry.

Parameters

  type | The type of pad feature that will trigger this action.
  index | The 0-indexed button/ring/strip number that will trigger this action.
  mode | The mode that will trigger this action, or -1 for all modes.
  label | Human readable description of this action, this string should be deemed user-visible.
  action_name | Action name that will be activated in the Gio::ActionGroup.

## ◆ PadActionEntry() [3/4]

Gtk::PadActionEntry::PadActionEntry | ( | const PadActionEntry & | src | ) |

## ◆ PadActionEntry() [4/4]

Gtk::PadActionEntry::PadActionEntry | ( | PadActionEntry && | other | ) |
| noexcept

## ◆ ~PadActionEntry()

virtual Gtk::PadActionEntry::~PadActionEntry | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ get_action_name()

Glib::ustring Gtk::PadActionEntry::get_action_name | ( |  | ) | const

## ◆ get_index()

int Gtk::PadActionEntry::get_index | ( |  | ) | const

## ◆ get_label()

Glib::ustring Gtk::PadActionEntry::get_label | ( |  | ) | const

## ◆ get_mode()

int Gtk::PadActionEntry::get_mode | ( |  | ) | const

## ◆ get_type()

PadActionType Gtk::PadActionEntry::get_type | ( |  | ) | const

## ◆ gobj() [1/2]

GtkPadActionEntry * Gtk::PadActionEntry::gobj | ( |  | ) |
| inline

## ◆ gobj() [2/2]

const GtkPadActionEntry * Gtk::PadActionEntry::gobj | ( |  | ) | const
| inline

## ◆ operator=() [1/2]

PadActionEntry & Gtk::PadActionEntry::operator= | ( | const PadActionEntry & | src | ) |

## ◆ operator=() [2/2]

PadActionEntry & Gtk::PadActionEntry::operator= | ( | PadActionEntry && | other | ) |
| noexcept

## ◆ set_action_name()

void Gtk::PadActionEntry::set_action_name | ( | const Glib::ustring & | value | ) |

## ◆ set_index()

void Gtk::PadActionEntry::set_index | ( | const int & | value | ) |

## ◆ set_label()

void Gtk::PadActionEntry::set_label | ( | const Glib::ustring & | value | ) |

## ◆ set_mode()

void Gtk::PadActionEntry::set_mode | ( | const int & | value | ) |

## ◆ set_type()

void Gtk::PadActionEntry::set_type | ( | const PadActionType & | value | ) |

## Member Data Documentation

## ◆ gobject_

GtkPadActionEntry* Gtk::PadActionEntry::gobject_
| protected